Skip to main content
GET
/
cdn
/
statistics
/
aggregate
/
stats
Aggregated statistics
curl --request GET \
  --url https://api.gcore.com/cdn/statistics/aggregate/stats \
  --header 'Authorization: <api-key>'
{
  "resource": {
    "1": {
      "region": {
        "cis": {
          "metrics": {
            "95_percentile": 20023536,
            "cache_hit_traffic_ratio": 0.9958449964158854,
            "max_bandwidth": 34794756,
            "min_bandwidth": 379257,
            "requests": 21575631,
            "responses_2xx": 21095299,
            "responses_3xx": 278225,
            "responses_4xx\"": 202026,
            "responses_5xx\"": 81,
            "sent_bytes\"": 22014089592053,
            "total_bytes\"": 22105558213209,
            "upstream_bytes\"": 91468621156,
            "responses_hit\"": 63368252,
            "responses_miss\"": 866237
          }
        },
        "eu": {
          "metrics": {
            "95_percentile": 14324356,
            "cache_hit_traffic_ratio": 0.9852247660029627,
            "max_bandwidth": 22215199,
            "min_bandwidth": 299608,
            "requests": 64234595,
            "responses_2xx": 62616980,
            "responses_3xx": 1196666,
            "responses_4xx": 420718,
            "responses_5xx": 216,
            "sent_bytes": 16552226067556,
            "total_bytes": 16796789080876,
            "upstream_bytes": 244563013320,
            "responses_hit": 21235829,
            "responses_miss\"": 339566
          }
        }
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://gcore.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

service
string
required

Service name.

Possible value:

  • CDN
from
string
required

Beginning of the requested time period (ISO 8601/RFC 3339 format, UTC.)

Example:

  • &from=2018-12-01T00:00:00.000
to
string
required

End of the requested time period (ISO 8601/RFC 3339 format, UTC.)

Example:

  • &to=2018-12-01T01:00:00.000
granularity
string
required

Duration of time chunks into which the data will be divided.

Possible values:

  • 1m - available only for up to 1 month in the past.
  • 5m
  • 15m
  • 1h
  • 1d
metrics
string
required

Types of statistics data.

Possible values:

  • upstream_bytes - Traffic in bytes from an origin server to CDN servers or to origin shielding when used.
  • sent_bytes - Traffic in bytes from CDN servers to clients.
  • shield_bytes - Traffic in bytes from origin shielding to CDN servers.
  • total_bytes - shield_bytes, upstream_bytes and sent_bytes combined.
  • cdn_bytes - sent_bytes and shield_bytes combined.
  • requests - Number of requests to edge servers.
  • responses_2xx - Number of 2xx response codes.
  • responses_3xx - Number of 3xx response codes.
  • responses_4xx - Number of 4xx response codes.
  • responses_5xx - Number of 5xx response codes.
  • responses_hit - Number of responses with the header Cache: HIT.
  • responses_miss - Number of responses with the header Cache: MISS.
  • cache_hit_traffic_ratio - Formula: 1 - upstream_bytes / sent_bytes. We deduct the non-cached traffic from the total traffic amount.
  • shield_usage - Origin shielding usage. To get accurate results, you must use grouping or filtering by a client or by a CDN resource.
  • raw_logs_usage - Logs uploader usage. To get accurate results, you should use grouping or filtering by a client or by a CDN resource.
group_by
string

Output data grouping.

Possible values:

  • client - Data is grouped by clients.
  • resource - Data is grouped by CDN resources.
  • region - Data is grouped by regions of CDN edge servers.
  • country - Data is grouped by countries of CDN edge servers.
  • vhost - Data is grouped by resources CNAMEs.
  • client_country - Data is grouped by countries, based on end-users' location.

To request multiple values, use:

  • &group_by=client&group_by=resource
countries
string

Names of countries for which data should be displayed.

English short names from ISO 3166 standard without the definite article ("the") should be used.

To request multiple values, use:

  • &countries=france&countries=denmark
regions
string

Regions for which data is displayed.

Possible values:

  • na - North America
  • eu - Europe
  • cis - Commonwealth of Independent States
  • asia - Asia
  • au - Australia
  • latam - Latin America
  • me - Middle East
  • africa - Africa
  • sa - South America
resource
integer

CDN resources IDs.

To request multiple values, use:

  • &resource=1&resource=2
client
integer

Client accounts IDs.

To request multiple values, use:

  • &client=1&client=2

Response

Successful.

client
object

Statistics information grouped by client accounts IDs.

resource
object

Statistics information grouped by CDN resources.

region
object

Statistics information grouped by regions.

metrics
object

Statistics parameters.

upstream_bytes
integer

Traffic in bytes from the upstream to CDN servers.

sent_bytes
integer

Traffic in bytes from CDN servers to clients.

total_bytes
integer

Upstream bytes and sent_bytes combined.

shield_usage
string

Number of CDN resources that used origin shielding.

raw_logs_usage
string

Number of CDN resources that used Logs uploader.

requests
integer

Number of requests to edge servers.

responses_2xx
integer

Number of 2xx response codes.

responses_3xx
integer

Number of 3xx response codes.

responses_4xx
integer

Number of 4xx response codes.

responses_5xx
integer

Number of 5xx response codes.

responses_hit
integer

Number of responses with the header Cache: HIT.

responses_miss
integer

Number of responses with the header Cache: MISS.

cache_hit_traffic_ratio
integer

Formula: 1 - upstream_bytes / sent_bytes. We deduct the non-cached traffic from the total traffic amount.

95_percentile
integer

95 percentile bandwidth value.

min_bandwidth
integer

Minimum bandwidth.

max_bandwidth
integer

Maximum bandwidth.